//nodeunit test.js
var rfr=require('rfr');
var vdot=rfr('modules/vdot/index.js');


exports.temp15 = function(test) {
	var kph=7;
	var res = vdot.getTempFactor(12,kph,15)
	var increasePerc = Math.round(res/kph*1000)/10;
    test.ok(increasePerc==0,"should be 0% was " + increasePerc + '%');
    test.done();
};

exports.tempTest22_7 = function(test) {
	var kph=7;
	var res = vdot.getTempFactor(12,kph,22.6)
	var increasePerc = Math.round(res/kph*1000)/10;
    test.ok(increasePerc>10 && increasePerc<11,"should be ~10% was " + increasePerc + '%');
    test.done();
};

exports.tempTest22_20 = function(test) {
	var kph=14;
	var res = vdot.getTempFactor(12,kph,22.6)
	var increasePerc = Math.round(res/kph*1000)/10;
    test.ok(increasePerc>9 && increasePerc<10,"should be ~10% was " + increasePerc + '%');
    test.done();
};
